How to Check If Your WordPress Plugins Are Compatible With Gutenberg

Gutenberg development has come a long way since its announcement in 2017. There are still a lot of mixed feelings concerning the new editor, but that hasn’t slowed down its advance. However, plugin compatibility remains one of – if not the most – significant issue when it comes to the new editor.

There are thousands of plugins available for WordPress, and it stands to reason some of them might not work with Gutenberg. For this reason, you should test your favorite plugins to determine their Gutenberg compatibility. In this article, we’re going to explain why plugin compatibility is an important issue where it concerns Gutenberg. Then we’ll show you two ways to test your plugins to see if they are compatible with the new editor.

Let’s get to work!

Why You Need to Check Your Plugins for Compatibility with Gutenberg

The Gutenberg plugin.

If you’ve been using WordPress for a while, you know some plugins don’t play well with others. In some cases, it’s due to conflicting code or functionality. Other times, it comes down to using multiple plugins that try to add similar features.

Gutenberg is currently still in beta and to use it, you need to install its official plugin. The changes Gutenberg brings to the WordPress editor are extensive, so it stands to reason it doesn’t play nice with some other plugins:

The new Gutenberg editor.

To be clear – Gutenberg doesn’t cause problems with most plugins. However, any plugins that add functionality or change the way WordPress’ classic editor looks may not be compatible with Gutenberg. If you use a lot of plugin-generated shortcodes on your pages, chances are you’ll also run into conflicts with Gutenberg. The reason why is that the new editor requires you to use custom shortcode blocks.

Plugins that add custom styles to your pages may also cause issues with Gutenberg. Some plugins that haven’t received updates for a while can also cause conflicts with the new editor. As a rule of thumb, we like to avoid plugins if they don’t have any updates during the last six months, which is something you should consider as well.

Keep in mind – Gutenberg is still in its beta stage, so it’s only normal for you to run into some issues while using it. A lot of popular plugins are still in the process of adapting to the changes the editor will bring. Some plugins that don’t currently work with Gutenberg might support it in the future.

It’s also important that you don’t rely on Gutenberg for any live website just yet. We recommend you stick with the classic editor until Gutenberg leaves beta, just to avoid any issues that could arise.

2 Ways to Check if Your WordPress Plugins Are Compatible With Gutenberg

Even though Gutenberg isn’t ready for prime time yet, that doesn’t mean you should wait to find out if your plugins are compatible . This way, you’ll be able to contact your favorite plugin’s developers to check if they plan on adding Gutenberg compatibility, or start looking for alternatives.

1. Check the Gutenberg Plugin Compatibility Database

The Gutenberg Plugin Compatibility database.

As you might expect, a lot of people are already busy figuring out which plugins have Gutenberg compatibility and which don’t. This information is available in the Gutenberg Plugin Compatibility database. Currently, the database contains 5,000 plugins, including most of WordPress’ popular offerings. To check if your favorite plugins are Gutenberg compatible, all you have to do is look them up using the database’s search feature:

Using the database's search feature.

Next to each name, you’ll find a column that reads Gutenberg-Compatible, with a Yes or No value. Even if the plugins you look up are compatible, you can also read about any bugs that pop up with Gutenberg under the Compatibility Reason column:

Looking up the compatibility reason column.

Chances are you’ll find that most plugins you’re looking for are already in the database. If you’d like to help with expanding the database you can contribute to it yourself. All you need is to register an account on the database’s website.

Once you have an account, you’ll be able to set up an online test environment using the WP Sandbox service. This service is configured to create test environments with Gutenberg and a random plugin that isn’t part of the database yet. This way, they avoid having hundreds of users all testing the same plugins.

You can read more about how the testing process works on the Gutenberg Plugin Compatibility website. However, if you want to check a specific plugin for Gutenberg compatibility, you’ll need to go about it the old-fashioned way.

2. Use a Staging Site to Check for Compatibility Issues

Staging sites enable you test changes in a safe environment before you push them live. There are plenty of ways to set up a staging copy of your website.Some web hosts, such as WP Engine, enable you to create staging versions of your site with a few clicks. If yours doesn’t, you can use Local by Flywheel or MAMP to create local WordPress testing environments.

However, if you’re looking to quickly test a few plugins for compatibility with WordPress, you can create an installation using Poopy.life (yes, really), which only takes a second. Once you have your website ready, install the Gutenberg plugin:

Installing the Gutenberg plugin.

When you’ve activated Gutenberg, you can go ahead and test your favorite plugins with it. Take the Divi Builder, for example. Currently, if you enable Gutenberg, you won’t see the option to switch to the Divi Builder. However, some of its options will show up if you toggle the Extended Settings tab under the Gutenberg editor:

Checking out how Divi works with Gutenberg.

There’s no reason to panic, though. You can still use Divi as usual if you click on the Classic Editor option when you go to edit a post or a page:

Launching the WordPress classic editor.

This will launch WordPress’ classic editor, where Divi works as normal. Rest assured, while the Divi Builder is not fully Gutenberg compatible yet, integration is coming, and you won’t need to choose between the two.

As you can see, testing plugins for Gutenberg compatibility is simple. All you have to do is check if the plugin’s core features work as intended with the editor active. Take Yoast SEO for example – which adds a meta box to your editor page. We expected to run into some errors while using both together, but fortunately, that wasn’t the case:

Using Yoast SEO with Gutenberg.

Yoast, in particular, has been hard at work where it concerns Gutenberg integration, so the plugins play nice together. Now, it’s up to you to test any other tools you want to use on your WordPress website and check if they’re also ready for Gutenberg.

Conclusion

Like it or not, the Gutenberg editor is coming to WordPress core in 2018. The best thing you can do before then is to prepare, so the transition is as painless as possible.

If you use several plugins on your website, you should check if they’re compatible with Gutenberg. If not, you need to keep an eye on their updates, and possibly consider looking for alternatives. Here’s how you can check if your plugins play nice with the current version of Gutenberg:

  1. Take a look at the Gutenberg Plugin Compatibility database.
  2. Use a staging site to check for compatibility issues.

Are you worried or excited about the upcoming transition to the Gutenberg editor? If so, tell us why in the comments section below!

Article thumbnail image by StrongPickles / shutterstock.com

The post How to Check If Your WordPress Plugins Are Compatible With Gutenberg appeared first on Elegant Themes Blog.

Like it.? Share it: